#include "Filter2.h"

double Filter2(double u, double &w1, double &w2, const double a1, const double a2, const double b0, const double b1, const double b2, const double gain)
{
    
    double w = u - a1*w1 - a2*w2;
    double y = gain * (b0*w + b1*w1 + b2*w2);
    
    w2 = w1;
    w1 = w;
    
    return y;
    
}